Subject: [PATCH 0/4] arm64: advertise availability of CRC and crypto instructions

From: [email-masked] (Catalin Marinas)
Date: Wed, 18 Dec 2013 17:29:56 +0000

On Wed, Dec 18, 2013 at 04:13:52PM +0000, Ard Biesheuvel wrote:
> On 18 December 2013 15:27, Christopher Covington <[email-masked]> wrote:
> > I do not think that Russell is the source of the confusion. Ard wrote, "The
> > idea is that a binary built for ARM will have access to the extended
> > instructions which ARM64 offers to ARM32 binaries running in 32 bit
> > compatibility mode (such as AES, SHAx etc)." I think s/ARM64/ARMv8/ is
> > necessary to make the statement correct, and hopefully less confusing.
> >
> 
> My apologies for adding to the confusion (or creating it in the first place).
> 
> However, the bottom line is that, as the 32 bit and 64 bit kernels are
> both able to support userland processes running in the execution state
> that has retroactively been dubbed 'AArch32', they should both honor
> the same contract with AArch32 userland on how to discover CPU
> capabilities at runtime.

For the time being, I merged the first two patches for AArch64 support.
I'm not merging the compat one yet as this should strictly follow the
arch/arm support.

Thanks.

-- 
Catalin